/* Document */
body {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

#background-canvas {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
}

#wrapper {
    position: relative;
    z-index: 1;

    max-width: 800px;
    margin: 0 auto;
    padding: 1em;
    padding-bottom: 5em;
}

#solid-background {
    padding: 1em 1em 1.5em;
    background-color: white;
}

/* Font */
@font-face {
    font-family: 'Inter var';
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url('../fonts/Inter.var.woff2') format('woff2');
    font-named-instance: 'Regular';
}

@font-face {
    font-family: 'Inter var';
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url('../fonts/Inter-italic.var.woff2') format('woff2');
    font-named-instance: 'Italic';
}

:root {
    font-family: 'Inter var', sans-serif;
    line-height: 1.6em;
}

/* Header */
header strong {
    font-size: 1.25em;
}

hr {
    display: block;
    border: 0;
    border-top: 3px solid black;
    padding: 0;

    margin: 0.5em -1em;
}

header a, header a:hover {
    background: none;
}

#header-flex-container {
    display: flex;
    gap: 0.75em;
}

#header-flex-container a {
    font-style: italic;
    display: inline-block;
}

/* Text */
p {
    margin: 0.75em 0;
}

a {
    color: black;
    text-decoration: none;

    background: linear-gradient(to right, #8360c3, #2ebf91);
    background-position: 0% 100%;
    background-repeat: no-repeat;
    background-size: 100% 0.1em;
}

a:hover, a:focus {
    color: #333;
}

h1 {
    font-size:  1.25em;
    margin-top: 3em;
}

h2 {
    font-size:  1em;
    margin-top: 2em;
}